Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Java] Class ScalaDoc

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.scala.ScalaDoc

    public class ScalaDoc
    extends SourceTask

Generates HTML API documentation for Scala source files.

Method Summary
`protected void` | `generate()`
`AntScalaDoc` | `getAntScalaDoc()`
`java.lang.Iterable` | `getClasspath()` Returns the classpath to use to locate classes referenced by the documented source.
`java.io.File` | `getDestinationDir()` Returns the directory to generate the API documentation into.
`FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the ScalaDoc tool.
`ScalaDocOptions` | `getScalaDocOptions()` Returns the ScalaDoc generation options.
`java.lang.String` | `getTitle()` Returns the documentation title.
`void` | `setAntScalaDoc(AntScalaDoc antScalaDoc)`
`void` | `setClasspath(FileCollection classpath)`
`void` | `setDestinationDir(java.io.File destinationDir)`
`void` | `setScalaClasspath(FileCollection scalaClasspath)`
`void` | `setScalaDocOptions(ScalaDocOptions scalaDocOptions)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Method Detail

### generate

    @TaskAction
    protected void generate()

### getAntScalaDoc

    public AntScalaDoc getAntScalaDoc()

### getClasspath

    @InputFiles
    public java.lang.Iterable getClasspath()

  Returns the classpath to use to locate classes referenced by the documented source.

  Returns:
    The classpath.

### getDestinationDir

    @OutputDirectory
    public java.io.File getDestinationDir()

  Returns the directory to generate the API documentation into.

### getScalaClasspath

    @InputFiles
    public FileCollection getScalaClasspath()

  Returns the classpath to use to load the ScalaDoc tool.

### getScalaDocOptions

    @Nested
    public ScalaDocOptions getScalaDocOptions()

  Returns the ScalaDoc generation options.

### getTitle

    @Input
    @Optional
    public java.lang.String getTitle()

  Returns the documentation title.

### setAntScalaDoc

    public void setAntScalaDoc(AntScalaDoc antScalaDoc)

### setClasspath

    public void setClasspath(FileCollection classpath)

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

### setScalaClasspath

    public void setScalaClasspath(FileCollection scalaClasspath)

### setScalaDocOptions

    public void setScalaDocOptions(ScalaDocOptions scalaDocOptions)

### setTitle

    public void setTitle(java.lang.String title)

Groovy Documentation